%define apiver %(echo %version | cut -d. -f1-2 | tr -d .)
%define apngver %{version}
Name:          libpng
Version:       1.6.44
Release:       1mamba
Summary:       A library of functions for manipulating PNG image format files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.libpng.org/pub/png/libpng.html
Source:        http://downloads.sourceforge.net/sourceforge/libpng/libpng-%{version}.tar.xz
Source1:       http://downloads.sourceforge.net/project/libpng-apng/libpng%{apiver}/%{apngver}/libpng-%{apngver}-apng.patch.gz
Patch1:        %{name}-1.2.8-link_to_proper_libs.patch
Patch2:        libpng-1.6.5-arm-buildfix.patch
License:       OSI Approved
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
%ifarch x86_64
Obsoletes:     lib32-libpng < 1.6.38
%endif

%description
This package contains the library needed to run programs dynamically linked with libpng.

%package devel
Summary:       Development tools for programs to manipulate PNG image format files
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The libpng-devel package contains the header files and libraries necessary for developing programs using the PNG (Portable Network Graphics) library.
If you want to develop programs which will manipulate PNG image format files, you should install libpng-devel.
You'll also need to install the libpng package.

%debug_package

%prep
%setup -q
gunzip -c %{SOURCE1} | patch -p1

%build
%configure --enable-shared --enable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_libdir}/libpng.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libpng%{apiver}.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_bindir}/png-fix-itxt
%{_bindir}/pngfix
%{_bindir}/libpng-config
%{_bindir}/libpng%{apiver}-config
%{_includedir}/png.h
%{_includedir}/pngconf.h
%{_includedir}/pnglibconf.h
%dir %{_includedir}/libpng%{apiver}/
%{_includedir}/libpng%{apiver}/*
%{_libdir}/libpng.a
%{_libdir}/libpng.so
%{_libdir}/libpng%{apiver}.a
%{_libdir}/libpng%{apiver}.so
%{_libdir}/pkgconfig/libpng.pc
%{_libdir}/pkgconfig/libpng%{apiver}.pc
%{_mandir}/man3/libpng.*
%{_mandir}/man3/libpngpf.*
%{_mandir}/man5/png.*
%doc ANNOUNCE CHANGES README TODO
%doc pngbar.jpg pngbar.png pngnow.png

%ifarch x86_64_disabled
%files -n lib32-%{name}
%defattr(-,root,root)
%{_prefix}/lib/libpng%{apiver}.so.*

%files -n lib32-%{name}-devel
%defattr(-,root,root)
%{_prefix}/lib/libpng.so
%{_prefix}/lib/libpng%{apiver}.so
%endif

%changelog
* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 1.6.44-1mamba
- automatic version update by autodist

* Sun Feb 25 2024 Automatic Build System <autodist@openmamba.org> 1.6.43-1mamba
- automatic version update by autodist

* Mon Feb 12 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.42-1mamba
- update to 1.6.42

* Sun Sep 10 2023 Automatic Build System <autodist@mambasoft.it> 1.6.40-1mamba
- automatic version update by autodist

* Thu Nov 24 2022 Automatic Build System <autodist@mambasoft.it> 1.6.39-1mamba
- automatic version update by autodist

* Sat Sep 17 2022 Automatic Build System <autodist@mambasoft.it> 1.6.38-1mamba
- automatic version update by autodist

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.37-2mamba
- x86_64: obsolete lib32-libpng

* Fri Apr 19 2019 Automatic Build System <autodist@mambasoft.it> 1.6.37-1mamba
- automatic version update by autodist

* Tue Dec 25 2018 Automatic Build System <autodist@mambasoft.it> 1.6.36-1mamba
- automatic version update by autodist

* Sat Sep 15 2018 Automatic Build System <autodist@mambasoft.it> 1.6.35-1mamba
- automatic version update by autodist

* Tue Oct 03 2017 Automatic Build System <autodist@mambasoft.it> 1.6.34-1mamba
- automatic version update by autodist

* Thu Aug 31 2017 Automatic Build System <autodist@mambasoft.it> 1.6.32-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 1.6.31-1mamba
- automatic version update by autodist

* Fri Aug 04 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.29-2mamba
- relink with /lib64/libpthread.so.0 for IFUNC symbol longjmp

* Thu Mar 30 2017 Automatic Build System <autodist@mambasoft.it> 1.6.29-1mamba
- automatic version update by autodist

* Sun Jan 08 2017 Automatic Build System <autodist@mambasoft.it> 1.6.28-1mamba
- automatic version update by autodist

* Thu Jan 05 2017 Automatic Build System <autodist@mambasoft.it> 1.6.27-1mamba
- automatic version update by autodist

* Sat Oct 22 2016 Automatic Build System <autodist@mambasoft.it> 1.6.26-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 1.6.25-1mamba
- automatic version update by autodist

* Sat Aug 20 2016 Automatic Build System <autodist@mambasoft.it> 1.6.24-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 1.6.23-1mamba
- automatic version update by autodist

* Tue May 31 2016 Automatic Build System <autodist@mambasoft.it> 1.6.22-1mamba
- automatic version update by autodist

* Mon Jan 25 2016 Automatic Build System <autodist@mambasoft.it> 1.6.21-1mamba
- automatic version update by autodist

* Sun Dec 27 2015 Automatic Build System <autodist@mambasoft.it> 1.6.20-1mamba
- automatic version update by autodist

* Tue Nov 17 2015 Automatic Build System <autodist@mambasoft.it> 1.6.19-1mamba
- automatic version update by autodist

* Thu Aug 06 2015 Automatic Build System <autodist@mambasoft.it> 1.6.18-1mamba
- automatic version update by autodist

* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 1.6.17-1mamba
- automatic update by autodist

* Wed Dec 24 2014 Automatic Build System <autodist@mambasoft.it> 1.6.16-1mamba
- automatic version update by autodist

* Tue Nov 25 2014 Automatic Build System <autodist@mambasoft.it> 1.6.15-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 1.6.14-1mamba
- automatic update by autodist

* Wed Sep 10 2014 Automatic Build System <autodist@mambasoft.it> 1.6.13-1mamba
- automatic version update by autodist

* Tue Jul 01 2014 Automatic Build System <autodist@mambasoft.it> 1.6.12-1mamba
- automatic version update by autodist

* Sun Mar 09 2014 Automatic Build System <autodist@mambasoft.it> 1.6.10-1mamba
- automatic version update by autodist

* Mon Feb 17 2014 Automatic Build System <autodist@mambasoft.it> 1.6.9-1mamba
- automatic version update by autodist

* Sun Jan 26 2014 Automatic Build System <autodist@mambasoft.it> 1.6.8-1mamba
- automatic version update by autodist

* Sun Nov 24 2013 Automatic Build System <autodist@mambasoft.it> 1.6.7-1mamba
- automatic version update by autodist

* Fri Nov 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.6-3mamba
- rebuild due to previous release build with faulty rpm

* Thu Nov 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.6-2mamba
- lib32-libpng(x86_64): install libpng.so symlink to /usr/lib/libpng16.so

* Fri Oct 25 2013 Automatic Build System <autodist@mambasoft.it> 1.6.6-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic version update by autodist

* Wed Jul 24 2013 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Tue Apr 02 2013 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Wed Mar 06 2013 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Jan 27 2013 Automatic Build System <autodist@mambasoft.it> 1.5.14-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 1.5.13-1mamba
- automatic version update by autodist

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 1.5.12-1mamba
- update to 1.5.12

* Thu Jun 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.10-1mamba
- update to 1.5.10

* Tue Jul 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.8-1mamba
- update to 1.4.8

* Thu May 12 2011 Automatic Build System <autodist@mambasoft.it> 1.4.7-1mamba
- automatic update by autodist

* Thu Dec 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.5-2mamba
- rebuilt with debug package

* Mon Dec 13 2010 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic update by autodist

* Mon Sep 27 2010 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic update by autodist

* Mon Jun 28 2010 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Sat Jun 05 2010 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Mon Dec 21 2009 Automatic Build System <autodist@mambasoft.it> 1.2.41-1mamba
- automatic update by autodist

* Sat Nov 21 2009 Automatic Build System <autodist@mambasoft.it> 1.2.40-1mamba
- automatic update by autodist

* Thu Jul 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.37-1mamba
- update to 1.2.37

* Thu May 28 2009 Automatic Build System <autodist@mambasoft.it> 1.2.36-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.35-1mamba
- automatic update by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.34-1mamba
- automatic update by autodist

* Sun Nov 30 2008 gil <puntogil@libero.it> 1.2.33-1mamba
- update to 1.2.33

* Thu Jun 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.29-2mamba
- added apng (animated png) patch from cblfs.cross-lfs.org/index.php/Libpng

* Sat May 31 2008 gil <puntogil@libero.it> 1.2.29-1mamba
- update to 1.2.29

* Fri Jul 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.18-2mamba
- re-enable build of static library needed by splashutils

* Tue Jun 05 2007 Aleph0 <aleph0@openmamba.org> 1.2.18-1mamba
- security update to 1.2.18 to fix CVE-2007-2445
- do not build the static library

* Wed Feb 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.16-2qilnx
- don't exclude static library libpng.a

* Fri Feb 09 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.16-1qilnx
- update to version 1.2.16 by autospec
- dropped patch against CVE-2006-3334: merged upstream
- dropped patches used to fix link libraries and installation paths: fixed
  upstream
- man pages moved to devel package

* Thu Jul 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.8-2qilnx
- fixed buffer overflow in chunk error processing (CVE-2006-3334, qibug#202)

* Wed Feb 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.8-1qilnx
- update to version 1.2.8 by autospec
- specfile updates

* Tue Dec 21 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-8qilnx
- added patch to link library to proper libs

* Sat Nov 06 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.5-7qilnx
- specfile cleanups, added patch 'libpng-1.2.5-qilinux-paths'
- libpng-config and libpng12-config scripts moved to devel package
- added documentation

* Fri Nov 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.5-6qilnx
- security fix QSA-2004-051 (CAN-2004-0768)

* Mon Jul 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.5-5qilnx
- security fix for CAN-2004-0597, CAN-2004-0598, CAN-2004-0599

* Mon May 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.5-4qilnx
- security fix for CAN-2004-0421

* Tue Jul 08 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.5-3qilnx
- rebuilt with minor changes

* Tue May 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.5-2qilnx
- added symlinks libpng.so and libpng12.so to devel package

* Thu Apr 17 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.2.5-1qilnx
- creation of libpng package
